package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.VolumeTemplate;

import java.util.List;

 public interface VolumeTemplateService {

    /**
     * 分页查询列表
     * @param pager
     * @param context
     * @return
     */
     BocloudResult<GridBean<VolumeTemplate>> list(Pager pager, RequestContext context);

    /**
     * 根据storageId查询卷模板
     *
     * @param storageId
     * @return
     */
     BocloudResult<List<VolumeTemplate>> listByStorage(Long storageId);

     BocloudResult<List<VolumeTemplate>> listByVendor(Long vendorId);

     BocloudResult<VolumeTemplate> create(VolumeTemplate template, RequestContext context);

     BocloudResult<VolumeTemplate> modify(VolumeTemplate template, RequestContext context);

     BocloudResult remove(long id, RequestContext context);

     BocloudResult<VolumeTemplate> detail(long id);
}
